Introduction

Library Manager provides a number of facilities for the management of user and system libraries within both ISIS and ARES for Windows.

Using the Library Manager you can copy, move and delete objects from object libraries. Library Manager also allows for the creation of new libraries and the deletion of existing ones.

In short, the Library Manager allows you to manipulate libraries and their contents. Please read the warning messages below before continuing.

Use Library Manager with care: because Library Manager allows you direct access to the package and symbol libraries, you run not only the risk of deleting one or more objects from a library but the whole library at a stroke! In general, This can significantly decrease the chances of your Proteus system from functioning correctly. Library Manager does not maintain back-up's of libraries and does not support any form of undo, undelete or recovery of lost data or libraries.

All of Labcenters libraries should remain Read Only. The user should not save any of their devices or packages into Labcenters libraries as the update system will automatically delete these libraries and replace them with any ones that we have modified or added to.

Labcenter is not liable or responsible for any user actions on their libraries or backups. We recommend that the user backs up their own libraries on a weekly basis or before making any library modifications.


EDITING LIBRARIES

Introduction

Library parts have properties associated with them to include more information. The most common would be a PACKAGE property to which a footprint would be assigned (e.g. PACKAGE=0805). Proteus includes a system by which users can create as many properties as they like and associate them with parts on the schematic. Some examples include things like:

RoHS?, MoQ, Supplier, Alt Supplier, Cost, StockCode, Approved?,

Each part would then be assigned values to the properties and this information can all feed through to things like the Bill of Materials report.

There are two ways to make changes to schematic parts. You can either change the component on the schematic (an instance of the library part) or you can change the library part itself and then place it (or update it) on the schematic. To make property changes to the components on the schematic you can use either the Bill of Materials property editor or the design explorer module. However, to make property changes to the library parts you use the Edit Library button on Library Manager.

The advantages of changing the library parts themselves are :

  • Changes are available to all users and in all future designs.
  • Consistency across the design team is assured.
  • Enables the use of the Manage Changes feature.

Manage Changes (Schematic Library Menu) compares the version of each part in the library against the version of it when it was originally picked on the schematic. It's really useful when you come back to a design for a future revision as you can quickly see out of date parts or where changes are made to libraries. It does not however allow updating where local changes have been made.

Library Editor

Clicking on the Edit Library button in the middle of the Library Manager will launch a grid like view of the current library. Each part in the library is a row on the grid and each column is a property. Some columns (properties) cannot be edited, notably:

  1. The name of the parts.
  2. The package property if multiple packages are defined for the part.

You can edit a value for a part simply by clicking on that cell of the grid and typing in the value. Changed values will appear in yellow until you apply all the changes via the save button at the bottom right of the dialogue form.

You can edit multiple columns quickly by 'dragging' with the mouse from the column with the value you want copied into the columns above or below it. This works in the same way as with Excel for example.

If the property you want to change is not in the grid or you want to create a new property click on the Edit Columns button at the bottom of the library editor.

The "Update Property definitions on Save" option will keep the property definitions across future designs. We recommend this option is left enabled except in the very rare case where you specifically want a different definition of a property in the current project than in other projects.

Pressing Save on the Library Editor will commit all your changes (in yellow) directly to the Library on disk. You can update a part from the library, that has already been placed on the schematic, via the context menu on the Object Selector.

You can do this as a managed way for the whole design via the Manage Changes command on the Library menu. If you do so please be aware that changes you have made to a part directly on the schematic will not be overridden on an update from the library device as they are considered local overrides.

Edit Columns

The Edit Columns dialogue first gives you a list of all properties that already exist in the library. If the property or properties you want are in this list just select them on the dialogue and press OK to return to the library editor. The properties will appear as new columns (you may need to move the scrollbar to see them) and you can then add / edit the values as needed.

If you want to change the type of the property, its description or its name then select the property and use the Edit button at the bottom to launch a small configuration dialogue where you can make changes.

If the property doesn't exist you need to create a new one. Use the Create button at the bottom to launch the same configuration dialogue, type in name, description and value type and then hit OK to return to the edit columns dialogue. The property you've created should now be present in the list and checked so that you can exit and enter values for the property in the library editor.

What you are actually doing here is creating a property definition that tells the system what kind of property it is and better decribes it. The default property definitions can all be viewed / edited / created from the System Menu on the schematic (Set Property Definitions dialogue form). This miniature property creation tool is provided here for speed and convenience.


Dialogue Form

The Dialogue Form

The Dialogue form

Action Controls

Arrow

It is worth noticing that the direction that the arrow is pointing shows you the path from the Source library to the Destination library. By clicking Copy Items for example will copy the selected component from the Source library to the Destination library.

Order

Clicking on the order button will launch the following form:

This enables you to sort the ordering of your libraries with in the Library Manager. If you wish you can only order sections, simply select a group of libraries and click on 'Sort'

Select All

This will select all the components of the Source library

Unselect All

This unselects all the selected components

Copy Items

Will copy the selected itme(s) from the source directory in to the Destination directory, assuming that the destination library is writable.

Move Items

Move Items is the same as a Cut and Paste in windows. It will remove the part from the current source library and put it in the selected destination library.

Delete Items

This will delete the selected items from the library and therefore the entire machine and cannot be retrieved unless a back up has been taken. Please see the Library Backup section

USE WITH CAUTION. For more information please see the warnings on the Introduction page.

Rename Item

Changes the name of the selected component / package. If you change the name and the part is used in a schematic or a layout, it will not automatically update the part. The new part will have to be selected from the libraries in order for the name to be changed.

Information

This will display information about the library. Library path, size, set max number of components, version etc...

Difference

This allows you to compare a component in two separate libraries. It will provide a preview of the components, their properties and highlight any differences that it might find. Think of it as a component comparison tool.

Edit Library

Allows you to edit property values directly on the library parts and to create new properties for the parts.

See Also:

Editing Libraries

Library Controls

Library controls are found in the Library menu

Creating New Libraries

If you wish to create a new library, simply click on the Create library button and then set the maximum number of entries for the library.

Dump Library

The Dump Library button will paste a list of all the parts and their information in to a window that allows you to view or copy that information

Note that if you hold the CTRL key down and click on the Dump button will dump just the list of the component names. This is highly useful when creating ADI (ASCII Data Import) files.

ADI Library / Apply to All

This allows you to apply an ADI (ASCII Data Import) file to a single device or an entire library

Back up Libraries

This will create a *.BAK file which can be renamed in Windows Explorer to a *.LIB file to retrieve the library. Please see the Library Backup section for more information

Delete Library (CAUTION!)

This will delete the library from your machine.

If you delete a library it will not be recoverable unless you have taken a back up. The Library Backup section will provide more information on how to do this. Please see the Warnings on the Introduction section for more information.

Set Permissions

Allows you to set the file attributes on the selected library to be either read only or read writable. If the library is read only, it will state it just above the library selector:

See Source and Destination for more information.

Pack Library

This compacts the library by removing any clutter left behind from deleted components or moved components, making the file size smaller.


Source and Destination

Libraries to read from and write to.

The Source or Primary Library and the Destination or Secondary Library are the libraries used as the source and destination of objects in operations such as Copy, Delete, etc., and as the library for operations such as Pack Library, Delete Library, etc.

The Source or Primary Library is the library that last received the input focus; clicking on one of the two library list boxes causes that list box to become the Source (Primary) Library and the other list box to become the Destination (Secondary) Library. The text at the top of the list box indicates which list box is which, and the blue arrow between the two gives the sense of direction to the Copy and Move commands.

The library list boxes allow for multiple-selection of items: clicking the left mouse button on an item to select it, clicking on a selected item un-selects it.

The text at the top of a library list box indicates whether the specified library is read-only. Read-only libraries can only be used as a Source or Primary Library - you can still select a read-only library as a Destination (Secondary) Library, but the buttons that affect the library (e.g. Copy) will not be enabled.

The text beside the library list box indicates the number of items in the library and the number of remaining entries in the library index. Most of the libraries will be dynamic which means that they will grow as required and so there will always be free space.


Library Versions

Updating Library Versions

If your library is v3 and you need to make it v4, then follow these steps:

  • Make the library in question writable by clicking on the File Attributes button
  • Place a part on the schematic / layout from that library. Any part from that library will do.
  • Right click on the device / footprint and select Make Device / Package
  • Save the part back in to the library that is in question, and Proteus will update the library to version 4.


Library Backups

You can back up your libraries in two ways:

Using the Library Manager

Click on the Backup Libraries button which will create a *.BAK library file with the same name as the library that you had selected as the Source. If you need to recover the library, just change the extension in Windows Explorer back to be *.LIB and re-start Proteus.

Using Windows Explorer

By default the libraries are installed in C:\PrograData\Labcenter Electronics\Proteus X Professional\Library\. Navigate to the Library folder and select the libraries that you wish to back up. Right click on one of the highlighted libraries and select copy. Paste the libraries in to a different folder i.e. 'My Proteus Libraries' on a network drive. This simply copies your libraries to a different location that Proteus does not use.


Errors

Error Messages

Copying / Moving Libraries

If you have a components that is in a newer library selected under 'Source' and you are trying to copy it to a library that is an older version under 'Dest'n', you will receive the following error message:

You will need to make your older library up to date. For more information click here